Bug 390531 - initio driver does not recognize INI-9100UW card
initio driver does not recognize INI-9100UW card
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Alan Cox
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-19 10:38 EST by Ryan Ayers
Modified: 2008-02-11 17:39 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.23.15-137.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-11 17:39:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg dump (6.88 KB, application/x-gzip)
2007-11-19 10:38 EST, Ryan Ayers
no flags Details
plain text dmesg (19.05 KB, text/plain)
2007-11-20 15:43 EST, Chuck Ebbert
no flags Details
2.6.24 patch that fixes the Initio driver (2.80 KB, text/plain)
2008-01-24 12:08 EST, Chuck Ebbert
no flags Details
dmesg dump (20.29 KB, text/plain)
2008-01-24 16:30 EST, Ryan Ayers
no flags Details

  None (edit)
Description Ryan Ayers 2007-11-19 10:38:52 EST
Description of problem:


Version-Release number of selected component (if applicable):
kernel-2.6.23.1-49.fc8

How reproducible:
Always

Steps to Reproduce:
1. Install Fedora 8

  
Actual results:


Expected results:


Additional info:
Under F7 kernel 2.6.21 my INI-9100UW scsi card worked fine.  After upgrading to
Fedora 8, nothing is recognized and I get this in my dmesg:

ACPI: PCI Interrupt 0000:02:09.0[A] -> GSI 17 (level, low) -> IRQ 20
initio: I/O port range 0x0 is busy.
ACPI: PCI interrupt for device 0000:02:09.0 disabled

After googling, I found a post by Alan Cox saying that he missed a line in the
merging of that driver and to add it.  I rebuilt the kernel with that line
added, but now my machine hard locks pretty quick during the boot up procedure.

Here is the post I found:
http://kerneltrap.org/mailarchive/linux-kernel/2007/9/30/325962
Comment 1 Ryan Ayers 2007-11-19 10:38:52 EST
Created attachment 263581 [details]
dmesg dump
Comment 3 Ryan Ayers 2007-11-19 17:58:15 EST
Hmm, just finished recompiling the kernel with the new patch and I'm still
getting the same error message.  I guess that is not the right patch for my problem.
Comment 4 Ryan Ayers 2007-11-20 11:00:51 EST
Is there any printk statements I can put in that would tell you more what is
going on?

Also, is there an easier way of building the kernel rather than applying the
patch in the spec and doing an "rpmbuild -ba --target i686 --without pae
--without smp --without xen --without debug kernel.spec"?

I want to make sure all the Fedora patches are applied before I make any changes.
Comment 5 Chuck Ebbert 2007-11-20 15:43:36 EST
Created attachment 265281 [details]
plain text dmesg

Please don't post compressed files unless they're huge.
Comment 6 Chuck Ebbert 2007-11-20 15:52:58 EST
Try combining the two patches?

Custom kernel build instructions are at:
http://fedoraproject.org/wiki/Docs/CustomKernel

To get the fastest build:
rpmbuild -bb --target i686 --with baseonly --without debuginfo kernel.spec
Comment 7 Ryan Ayers 2007-11-21 10:43:32 EST
Sorry about the gzip.  Thanks for the baseonly flag.  That sped it up tremendously.

With both patches applied my system hard locks on boot again.
Comment 8 Ryan Ayers 2007-12-06 15:14:15 EST
Are there any more patches I can try?  I've searched google over and over and
cannot find anything else related.  Also, I just completely disabled SELinux
just in case that had anything to do with it and it still does not work.
Comment 9 Chuck Ebbert 2007-12-17 16:38:27 EST
Try this additional patch [2] on top of the other two:

http://lkml.org/lkml/2007/12/17/78
Comment 10 Ryan Ayers 2007-12-17 22:18:42 EST
Still does not appear to change anything.  It did work for me in Fedora 7.  It
seems like a whole lot has changed from the F7 to the F8 kernel in terms of scsi
though.
Comment 11 Chuck Ebbert 2008-01-11 13:59:59 EST
This is being discussed on linux-kernel again...
Comment 12 Alan Cox 2008-01-11 14:35:04 EST
I'll take a deeper look at this as I did the patches that broke some of them in
the first place. 
Comment 13 Ryan Ayers 2008-01-11 16:02:35 EST
I tried the latest patch and it still does not help.  Just to clarify, I using
the following patches against kernel-2.6.23.9-85.fc8.src.rpm

http://kerneltrap.org/mailarchive/linux-kernel/2007/9/30/325962
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff_plain;h=e9e42faf47255274a1ed0b9bf1c46118023ec5fa
http://lkml.org/lkml/diff/2007/12/17/78/2
http://lkml.org/lkml/diff/2008/1/11/1/1

I still get a complete lockup of my system.
Comment 14 Alan Cox 2008-01-14 06:19:26 EST
Hope to have a card in a week or so to debug this
Comment 15 Ryan Ayers 2008-01-14 09:11:01 EST
I can ship you mine if that would help any.  I would just ask if you would ship
it back when you get it working.  It isn't doing much for me these days ;-)
Comment 16 Alan Cox 2008-01-24 11:21:02 EST
Fixed upstream (not by me). Committed to Linus tree by James Bottomley so should
be in 2.6.24 and any Fedora kernel that is 2.6.24 based once it is out. 

I'll close this bug now as closed/upstream feel free to reopen it once we have a
2.6.24 kernel based package out if it still breaks.

Comment 17 Chuck Ebbert 2008-01-24 12:08:37 EST
Created attachment 292820 [details]
2.6.24 patch that fixes the Initio driver
Comment 18 Ryan Ayers 2008-01-24 16:30:24 EST
Created attachment 292861 [details]
dmesg dump

I couldn't get it working manually patching, so I just downloaded the latest
copy of initio.c from Linus tree and stuck it in my 2.6.23.9-85.fc8 source
tree.  I had to remove the line about .enable_sg_chaining, but once I did that
it compiled fine.  It appears as though my tape drive is functioning now that I
loaded this driver through initrd.  However, I get a weird "soft lockup" on
boot and the boot stops while it Resets the SCSI bus.

Not sure what the ramifications of that are.  But it WORKS!
Comment 19 Chuck Ebbert 2008-01-25 19:09:18 EST
Fixed in 2.6.23.14-123
Comment 20 Fedora Update System 2008-02-10 22:34:06 EST
kernel-2.6.23.15-137.fc8 has been submitted as an update for Fedora 8
Comment 21 Fedora Update System 2008-02-11 17:38:52 EST
kernel-2.6.23.15-137.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.